: Class AttributeChangedEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.event
Class AttributeChangedEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.w3c.tools.resources.event.ResourceEvent
                  |
                  +--org.w3c.tools.resources.event.AttributeChangedEvent

public class AttributeChangedEvent
extends ResourceEvent

See Also:
  Serialized Form

Field Summary
`protected Attribute` | `attr` The index of the attribut modified.
`protected java.lang.Object` | `newvalue` The attribut new value.

Fields inherited from class org.w3c.tools.resources.event.ResourceEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AttributeChangedEvent(ResourceReference ref, Attribute attr, java.lang.Object newvalue)` Create an attribute change event.

Method Summary
`Attribute` | `getAttribute()`
`java.lang.Object` | `getNewValue()`
`java.lang.String` | `toString()`

Methods inherited from class org.w3c.tools.resources.event.ResourceEvent
`getID`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attr

    protected Attribute attr

  The index of the attribut modified.

### newvalue

    protected java.lang.Object newvalue

  The attribut new value.

Constructor Detail

### AttributeChangedEvent

    public AttributeChangedEvent(ResourceReference ref,
                                 Attribute attr,
                                 java.lang.Object newvalue)

  Create an attribute change event.
  Parameters:
    `source` - The resource whose attribute has changed.
    `idx` - The index of the attribute that has changed.
    `newvalue` - The new attribuyte value.

Method Detail

### getAttribute

    public Attribute getAttribute()

### getNewValue

    public java.lang.Object getNewValue()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD